drop_units {units} | R Documentation

## Drop Units

### Description

Drop units attribute and class.

### Usage

    drop_units(x)

### Arguments

`x` | an object with units metadata.

### Details

Equivalent to `units(x) <- NULL`, or the pipe-friendly version `set_units(x, NULL)`, but `drop_units` will fail if the object has no units metadata. Use the alternatives if you want this operation to succeed regardless of the object type.

### Value

the numeric without any units attributes, while preserving other attributes like dimensions or other classes.

### Examples

    x <- 1
    y <- set_units(x, m/s)

    # this succeeds
    drop_units(y)
    set_units(y, NULL)
    set_units(x, NULL)

    ## Not run:
    # this fails
    drop_units(x)

    ## End(Not run)

[Package units version 0.6-2 Index]